> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Update premium webhook user



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json put /public/v1/premium/webhook/users/{id}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /public/v1/premium/webhook/users/{id}:
    put:
      tags:
        - premium
      summary: Update premium webhook user
      operationId: update_webhook_user
      parameters:
        - name: id
          in: path
          description: Tracked user id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PremiumWebhookUserUpdateRequest'
        required: true
      responses:
        '200':
          description: Tracked user updated successfully
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Tracked user not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
      security:
        - api_key_header: []
        - api_key_query: []
components:
  schemas:
    PremiumWebhookUserUpdateRequest:
      type: object
      properties:
        events:
          type: array
          items:
            $ref: '#/components/schemas/PremiumWebhookEvent'
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    PremiumWebhookEvent:
      type: string
      enum:
        - MATCH
        - MMR
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: Authorization
    api_key_query:
      type: apiKey
      in: query
      name: api_key

````